#include<iostream>
using namespace std;

int main(){
	int M,N;
	//cout<<"unesi br redova i sedista po redu "<<endl;
	cin>>N>>M;
	int redara=2*N+M-2+M-2;
	//cout<<"redara na pocetku "<<redara<<endl;
	int brojredova=N-2;
	int sedistaporedu=M-2;
	//cout<<"broj preostalih redova i sedista po redu "<<brojredova<<" "<<sedistaporedu<<endl;
	int vise,manje,kolonavise,kolonamanje;
	if(sedistaporedu%2==0){
        redara+=brojredova*(sedistaporedu/2);
	}
	else{
        vise=sedistaporedu/2+1;
        manje=vise-1;
        if(brojredova%2==0){
        kolonavise=brojredova/2;
        kolonamanje=kolonavise;
        }
        else{
        kolonavise=brojredova/2;
        kolonamanje=kolonavise+1;
        }
        redara+=vise*kolonavise+manje*kolonamanje;
    }
    cout<<redara;
}